---
title: getHighestSnapshotSlot
hideTableOfContents: true
h1: getHighestSnapshotSlot RPC Method
---

Returns the highest slot information that the node has snapshots for.

This will find the highest full snapshot slot, and the highest incremental
snapshot slot _based on_ the full snapshot slot, if there is one.

<Callout type="warn" title={"Version Restriction"}>
  This method is only available in `solana-core` v1.9 or newer. Please use
  [getSnapshotSlot](/docs/rpc/http/getsnapshotslot) for `solana-core` v1.8 and
  below.
</Callout>

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

When the node has a snapshot, this returns a JSON object with the following
fields:

- `full: <u64>` - Highest full snapshot slot
- `incremental: <u64|null>` - Highest incremental snapshot slot _based on_
  `full`

</DocLeftSide>

<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1,"method":"getHighestSnapshotSlot"}
'
```

### Response

Result when the node has a snapshot:

```json
{
  "jsonrpc": "2.0",
  "result": {
    "full": 100,
    "incremental": 110
  },
  "id": 1
}
```

Result when the node has no snapshot:

```json
{
  "jsonrpc": "2.0",
  "error": { "code": -32008, "message": "No snapshot" },
  "id": 1
}
```

</DocRightSide>
</DocSideBySide>
